Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain.requests
Class PutTherapeuticLinkRequest

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType
          be.ehealth.businessconnector.therlink.domain.requests.PutTherapeuticLinkRequest

All Implemented Interfaces:
  Serializable

    public class PutTherapeuticLinkRequest

extends TherapeuticLinkRequestType

A PutTherapeuticLinkRequest class

See Also:
  Serialized Form

Constructor Summary
`PutTherapeuticLinkRequest(org.joda.time.DateTime date, String id, Author author)` This constructor should only be used for responses mapping
`PutTherapeuticLinkRequest(org.joda.time.DateTime date, String id, Author author, TherapeuticLink link, Proof... proofs)`
`PutTherapeuticLinkRequest(String id, Date date, Author author)` Deprecated.
`PutTherapeuticLinkRequest(String id, Date date, Author author, TherapeuticLink link, Proof... proofs)` Deprecated.

Method Summary

Methods inherited from class be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType
`equals, getAuthor, getDate, getDateTime, getID, getLink, getProofs, hashCode, setLink, setProofs, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PutTherapeuticLinkRequest

    @Deprecated
    public PutTherapeuticLinkRequest(String id,
                                                Date date,
                                                Author author,
                                                TherapeuticLink link,
                                                Proof... proofs)

  Deprecated.

  Parameters:
    `id` -
    `date` -
    `author` -
    `link` -
    `proofs` -

### PutTherapeuticLinkRequest

    public PutTherapeuticLinkRequest(org.joda.time.DateTime date,
                                     String id,
                                     Author author,
                                     TherapeuticLink link,
                                     Proof... proofs)

Parameters:
  `id` -
  `date` -
  `author` -
  `link` -
  `proofs` -

### PutTherapeuticLinkRequest

    @Deprecated
    public PutTherapeuticLinkRequest(String id,
                                                Date date,
                                                Author author)

  Deprecated.

  This constructor should only be used for responses mapping

  Parameters:
    `id` -
    `date` -
    `author` -
    `link` -
    `proofs` -

### PutTherapeuticLinkRequest

    public PutTherapeuticLinkRequest(org.joda.time.DateTime date,
                                     String id,
                                     Author author)

  This constructor should only be used for responses mapping

  Parameters:
    `id` -
    `date` -
    `author` -
    `link` -
    `proofs` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.